
From: Adrian Bunk <bunk@stusta.de>

gcc found an (although perhaps harmless) bug:

  CC      net/ieee80211/ieee80211_crypt.o
In file included from net/ieee80211/ieee80211_crypt.c:21:
include/net/ieee80211.h:26:5: warning: "WIRELESS_EXT" is not defined
  CC      net/ieee80211/ieee80211_crypt_wep.o
In file included from net/ieee80211/ieee80211_crypt_wep.c:20:
include/net/ieee80211.h:26:5: warning: "WIRELESS_EXT" is not defined
  CC      net/ieee80211/ieee80211_crypt_ccmp.o
  CC      net/ieee80211/ieee80211_crypt_tkip.o
In file included from net/ieee80211/ieee80211_crypt_tkip.c:23:
include/net/ieee80211.h:26:5: warning: "WIRELESS_EXT" is not defined

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Cc: Jeff Garzik <jgarzik@pobox.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 include/net/ieee80211.h |    1 +
 1 files changed, 1 insertion(+)

diff -puN include/net/ieee80211.h~include-net-ieee80211h-must-include-linux-wirelessh include/net/ieee80211.h
--- devel/include/net/ieee80211.h~include-net-ieee80211h-must-include-linux-wirelessh	2005-07-27 13:35:32.000000000 -0700
+++ devel-akpm/include/net/ieee80211.h	2005-07-27 13:35:32.000000000 -0700
@@ -22,6 +22,7 @@
 #define IEEE80211_H
 #include <linux/if_ether.h> /* ETH_ALEN */
 #include <linux/kernel.h>   /* ARRAY_SIZE */
+#include <linux/wireless.h>
 
 #if WIRELESS_EXT < 17
 #define IW_QUAL_QUAL_INVALID   0x10
_
